RDF::Trine::Parser::Redland(3pm)

NAME
RDF::Trine::Parser::Redland - RDF Parser using the Redland library

VERSION
This document describes RDF::Trine::Parser::Redland version 1.014

SYNOPSIS
 use RDF::Trine::Parser;
 use RDF::Trine::Parser::Redland; # to overwrite internal dispatcher

 # Redland does turtle, ntriples, trig and rdfa as well
 my $parser = RDF::Trine::Parser->new( 'rdfxml' );
 $parser->parse_into_model( $base_uri, $data, $model );

DESCRIPTION
...

METHODS
Beyond the methods documented below, this class inherits methods from the RDF::Trine::Parser class.

"new ( options => \%options )"
    Returns a new Redland parser object with the supplied options. Use the "name" option to tell Redland which parser it should use.

"parse_into_model ( $base_uri, $data, $model [, context => $context] )"
    Parses the bytes in $data, using the given $base_uri. For each RDF statement parsed, will call "$model->add_statement( $statement )".

"parse ( $base_uri, $rdf, \&handler )"

ENVIRONMENT VARIABLES
Set "RDFTRINE_NO_REDLAND" to something true to disable the Redland parsers.

BUGS
Please report any bugs or feature requests to through the GitHub web interface at <https://github.com/kasei/perlrdf/issues>.

AUTHOR
Gregory Todd Williams "<gwilliams@cpan.org>"

COPYRIGHT
Copyright (c) 2006-2012 Gregory Todd Williams. This program is free software; you can redistribute it and/or modify it under the same terms as Perl itself.